Subject: [PATCH 0/4] Improve CLKSRC_OF matching

From: [email-masked] (Rob Herring)
Date: Fri, 08 Feb 2013 07:07:50 -0600

On 02/07/2013 10:51 PM, Tony Prisk wrote:
> On Thu, 2013-02-07 at 13:09 -0600, Rob Herring wrote:
>> From: Rob Herring <[email-masked]>
>>
>> In the recently added support for OF based clocksource init, a device node
>> will be matched twice. We can fix this by passing the device node to the
>> init functions and removing the match functions within the init functions.
>>
>> This is based on arm-soc for-next branch and commit "of: fix incorrect
>> return value of of_find_matching_node_and_match()" in my DT for-next
>> branch.
>>
>> Rob
>>
>> Rob Herring (4):
>>   clocksource: pass DT node pointer to init functions
>>   clocksource: bcm2835: use the device_node pointer passed to init
>>   clocksource: vt8500: use the device_node pointer passed to init
>>   clocksource: tegra20: use the device_node pointer passed to init
>>
>>  drivers/clocksource/bcm2835_timer.c |   12 +-----
>>  drivers/clocksource/clksrc-of.c     |    4 +-
>>  drivers/clocksource/tegra20_timer.c |   70 ++++++++++++++---------------------
>>  drivers/clocksource/vt8500_timer.c  |   14 +------
>>  4 files changed, 31 insertions(+), 69 deletions(-)
>>
> 
> Looks fine, although I didn't get a CC for the vt8500 patch so I had to
> go hunting for it :)

Since it got moved to drivers/clocksource, did MAINTAINERS get updated?
I just ran get_maintainers.pl.

Stephen also needs to add himself to Tegra as I had to add him manually.

Rob

> 
> For patches 1 & 3:
> Acked-by: Tony Prisk <[email-masked]>
>